#
%define	module	Cellulose
#
Summary:	Python/Cellulose package
Summary(pl.UTF-8):	Pakiet Python/Cellulose
Name:		python-%{module}
Version:	0.2
Release:	4
License:	BSD
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/C/Cellulose/%{module}-%{version}.tar.gz
# Source0-md5:	fc62bc2867fc20832b2d75e63cfd5434
URL:		http://cheeseshop.python.org/pypi/Cellulose/
BuildRequires:	python >= 1:2.4
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stateful, object-oriented, pseudo-functional programming in python.

%description -l pl.UTF-8
Stanowe, zorientowane obiektowo, pseudo-funkcyjne programowanie w
języku Python.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

cp -af cellulose $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE README TODO
%doc docs
%{py_sitescriptdir}/cellulose
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Cellulose.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ad91081
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 863b38c
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 8ff8ce9
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a0276d5
- release 3

* Mon Mar 02 2009 lisu <lisu@pld-linux.org> d22c19c
- python macro

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c196f19
- release 2

* Sun Oct 14 2007 arvenil <arvenil@pld-linux.org> ae3f585
- adapter

* Tue Jul 17 2007 lisu <lisu@pld-linux.org> bb65cbf
- 0.2

* Tue May 29 2007 beorn <beorn@pld-linux.org> 8662b09
- BA: noarch (there are no arch-dependent files)

* Tue May 29 2007 beorn <beorn@pld-linux.org> 11b999b
- pl desc
- BR: added

* Mon May 28 2007 Bartłomiej Zimoń <cactus@pld-linux.org> 50f22ec
- initial revision

